import request from '@/utils/request'

// 判断登陆角色
export function judgeRole() {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '1',
      name: '菜单模块系统_人员角色_查询数据_根据人角色编号',
      param: '编号=' + arguments[0]
    }
  })
}
// 初始化MU
export function initMU() {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '1',
      name: '菜单模块系统_人员角色_查询数据_父节点_部门查询',
      param: '人员编号=' + arguments[0] + '&部门代码=' + '0'
    }
  })
}
// 查询奖金得分 LLJ
export function searchBonus() {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '1',
      name: '奖金绩效系统_蓝领得分查询_PV',
      param: '月份=' + arguments[0] + '&people_id =' + arguments[1] + '&rolenumber =' + arguments[2] + '&pv_check =' + arguments[3] + '&Area =' + arguments[4]
    }
  })
}
// 查询奖金得分
// export function searchBonus() {
//   return request({
//     url: '',
//     method: 'post',
//     data: {
//       type: '1',
//       name: '奖金绩效系统_蓝领得分PV查询',
//       param: '月份=' + arguments[0] + '&PV部门代码=' + arguments[1]
//     }
//   })
// }
// 除MU外部门查询Segment
export function selectSegment() {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '1',
      name: '菜单模块系统_人员角色_查询数据_父节点_部门查询',
      param: '人员编号=' + arguments[0] + '&部门代码=' + arguments[1]
    }
  })
}
// MU查询Segment
export function selectSegmentForMU() {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '1',
      name: '菜单模块系统_人员角色_查询数据_父节点_Segment',
      param: '人员编号=' + arguments[0] + '\\&部门代码=' + arguments[1]
    }
  })
}
// 除Segment外部门查询PV
export function selectPV() {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '1',
      name: '菜单模块系统_人员角色_查询数据_父节点_部门查询',
      param: '人员编号=' + arguments[0] + '\\&部门代码=' + arguments[1]
    }
  })
}
// Segment查询PV
export function selectPVForSegment() {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '1',
      name: '菜单模块系统_人员角色_查询数据_父节点_PV',
      param: '人员编号=' + arguments[0] + '\\&部门代码=' + arguments[1]
    }
  })
}
// 执行保存
export function handleSave() {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '2',
      name: '奖金绩效系统_生产奖金增加_整体录入',
      param: `序号组=${arguments[0]}&计划完成率组=${arguments[1]}&工时效率组=${arguments[2]}&PV打分组=${arguments[3]}`
    }
  })
}
// 执行导入
export function upload_excle() {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '1',
      name: '奖金绩效系统_蓝领白领评分增加_整体导入',
      param: `月份=${arguments[0]}&总体得分组=${arguments[1]}&工号组=${arguments[2]}&Area工号=${arguments[3]}`
    }
  })
}

// 查询冻结权限
export function initrole() {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '1',
      name: '输入权限判断'
    }
  })
}
// 提交
export function onload2() {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '1',
      name: '奖金绩效系统_蓝领得分提交_PV',
      param: '月份=' + arguments[0] + '&操作者工号=' + arguments[1]
    }
  })
}
// PV查詢 LLJ 新增
export function initArea() {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '1',
      name: '奖金绩效系统_加载Area_PV蓝领打分',
      param: '月份=' + arguments[0] + '&people_id=' + arguments[1]
    }
  })
}

